/*
 Δραστηριότητα 1.10
 Αισθητήρας παρακολούθησης γραμμής
*/
#define SensorLeft 6    // καρφίτσα εισαγωγής του αριστερού αισθητήρα
#define SensorMiddle 7  // καρφίτσα εισαγωγής του μέσου αισθητήρα
#define SensorRight 8   // καρφίτσα εισαγωγής του σωστού αισθητήρα
unsigned char SL;       // κατάσταση αριστερού αισθητήρα
unsigned char SM;       // κατάσταση του μέσου αισθητήρα
unsigned char SR;       // κατάσταση του σωστού αισθητήρα

void setup() {
  // ρυθμίστε το ποσοστό baud σε 9600
  Serial.begin(9600);
  // ρύθμιση σε λειτουργία εισαγωγής
  pinMode(SensorLeft, INPUT);
  pinMode(SensorMiddle, INPUT);
  pinMode(SensorRight, INPUT);
}

void loop() {
  // διαβάστε τις τιμές τριών αισθητήρων παρακολούθησης γραμμής
  SL = digitalRead(SensorLeft);
  SM = digitalRead(SensorMiddle);
  SR = digitalRead(SensorRight);
  // εκτυπώστε τις τιμές τριών αισθητήρων
  Serial.print("SL=");
  Serial.print(SL);
  Serial.print("SM=");
  Serial.print(SM);
  Serial.print("SR=");
  Serial.println(SR);
}
