/*
 Δραστηριότητα 1.12
 Αισθητήρας παρακολούθησης γραμμής και 2 LED
*/
int L_pin = 6;                   // ακροδέκτης του αριστερού αισθητήρα παρακολούθησης γραμμής
int M_pin = 7;                   // ακροδέκτης του μεσαίου αισθητήρα παρακολούθησης γραμμής
int R_pin = 8;                   // ακροδέκτης του δεξιού αισθητήρα παρακολούθησης γραμμής
int val_L, val_R, val_M;         // μεταβλητές τριών αισθητήρων
int Red_Led = 3, Green_Led = 4;  // μεταβλητές των LED
void setup() {
  Serial.begin(9600);          // αρχικοποιήστε την σειριακή επικοινωνία σε 9600 bit ανά δευτερόλεπτο
  pinMode(L_pin, INPUT);       // ορίστε τον ακροδέκτη L_pin ως είσοδο
  pinMode(M_pin, INPUT);       // ορίστε τον ακροδέκτη M_pin ως είσοδο
  pinMode(R_pin, INPUT);       // ορίστε τον ακροδέκτη R_pin ως είσοδο
  pinMode(Red_Led, OUTPUT);    // Κόκκινος LED ακροδέκτης
  pinMode(Green_Led, OUTPUT);  // Πράσινος LED ακροδέκτης
}
void loop() {
  val_L = digitalRead(L_pin);  // ανάγνωση του L_pin
  val_M = digitalRead(M_pin);  // ανάγνωση του M_pin
  val_R = digitalRead(R_pin);  // ανάγνωση του R_pin
  Serial.print("left:");
  Serial.print(val_L);
  Serial.print(" middle:");
  Serial.print(val_M);
  Serial.print(" right:");
  Serial.println(val_R);

  if (val_L == HIGH)  // εάν ο αριστερός αισθητήρας παρακολούθησης γραμμής ανιχνεύσει σήμα
  {
    digitalWrite(Red_Led, LOW);  // Κόκκινο LED σβήνει
  } else                         // εάν ο αριστερός αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήμα
  {
    digitalWrite(Red_Led, HIGH);  // Κόκκινο LED ανάβει
    delay(500);
  }

  if (val_R == HIGH)  // εάν ο δεξιός αισθητήρας παρακολούθησης γραμμής ανιχνεύει σήμα
  {
    digitalWrite(Green_Led, LOW);  // Κόκκινο LED σβήνει
  } else                           // εάν ο δεξιός αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήμα
  {
    digitalWrite(Green_Led, HIGH);  // Κόκκινο LED ανάβει
    delay(500);
  }

  if (val_M == HIGH) {  // ο μεσαίος αισθητήρας δεν μας αφορά για την παρούσα δραστηριότητα.
    return;
  }
}//****************************************************************************
