/*
 Δραστηριότητα 1.13
 Αισθητήρας παρακολούθησης γραμμής και Βομβητής
*/
int L_pin = 6;  // ακροδέκτης του αριστερού αισθητήρα παρακολούθησης γραμμής
int M_pin = 7;  // ακροδέκτης του μεσαίου αισθητήρα παρακολούθησης γραμμής
int R_pin = 8;  // ακροδέκτης του δεξιού αισθητήρα παρακολούθησης γραμμής
int val_L, val_R, val_M;  // μεταβλητές τριών αισθητήρων
int Red_Led = 3, Green_Led=4;  // μεταβλητές των LED
int buzzer=2;
void setup()
{
  Serial.begin(9600);  // αρχικοποιήστε την σειριακή επικοινωνία σε 9600 bit ανά δευτερόλεπτο
  pinMode(L_pin, INPUT);  // ορίστε τον ακροδέκτη L_pin ως είσοδο
  pinMode(M_pin, INPUT);  // ορίστε τον ακροδέκτη M_pin ως είσοδο
  pinMode(R_pin, INPUT);  // ορίστε τον ακροδέκτη R_pin ως είσοδο
  pinMode(Red_Led, OUTPUT);  // Κόκκινος LED ακροδέκτης
  pinMode(Green_Led, OUTPUT);  // Πράσινος LED ακροδέκτης
}
void loop()
{
  val_L = digitalRead(L_pin);  // ανάγνωση του L_pin
  val_R = digitalRead(R_pin);  // ανάγνωση του R_pin
  val_M = digitalRead(M_pin);  // ανάγνωση του M_pin
  Serial.print("left:");
  Serial.print(val_L);
  Serial.print("middle:");
  Serial.print(val_M);
  Serial.print("right:");
  Serial.println(val_R);

  if (val_L == HIGH)  // εάν ο αριστερός αισθητήρας παρακολούθησης γραμμής ανιχνεύσει σήμα
  {
    digitalWrite(Green_Led, LOW);  // Πράσινο LED σβήνει
  }
  Else  // εάν ο αριστερός αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήμα
  {
      for(int i=0;i<80;i++)  // παραγωγή ήχου συχνότητας
      { digitalWrite(buzzer, HIGH);  // παράγει ήχο
        delay(1);//delay1ms
        digitalWrite(buzzer, LOW);  // δεν παράγει ήχο
        delay(1);//ms delay
      }
      for(int i=0;i<100;i++)  // παραγωγή ήχου συχνότητας
      {
        digitalWrite(buzzer, HIGH);  // παράγει ήχο
        digitalWrite(buzzer, LOW);  // δεν παράγει ήχο
        delay(1);//2ms delay
      }
    digitalWrite(Green_Led, HIGH);  // Πράσινο LED ανάβει
//    delay(500);
  }
   
  if (val_R == HIGH)  // εάν ο δεξιός αισθητήρας παρακολούθησης γραμμής ανιχνεύσει σήμα
  {
    digitalWrite(Red_Led, LOW);  // Κόκκινο LED  σβήνει
  }
  Else  // εάν ο δεξιός αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύσει σήμα
  {
      for(int i=0;i<80;i++)  // παραγωγή ήχου συχνότητας
      { digitalWrite(buzzer, HIGH);  // παράγει ήχο
        delay(1);//delay1ms
        digitalWrite(buzzer, LOW);  // δεν παράγει ήχο
        delay(1);//ms delay
      }
      for(int i=0;i<100;i++)  // παραγωγή ήχου συχνότητας
      {
        digitalWrite(buzzer, HIGH);  // παράγει ήχο
        digitalWrite(buzzer, LOW);  // δεν παράγει ήχο
        delay(1);//2ms delay
      }
    digitalWrite(Red_Led, HIGH);  // Κόκκινο LED  ανάβει
//    delay(100);
  }

  if (val_M == HIGH)  // αν ο αισθητήρας παρακολούθησης της μεσαίας γραμμής δεν ανιχνεύει σήματα
  {
    //digitalWrite(3, LOW);//LED is off
    for(int i=0;i<80;i++)
    { 
      digitalWrite(buzzer, HIGH);  // παράγει ήχο
      delay(1);//delay1ms
      digitalWrite(buzzer, LOW);  // δεν παράγει ήχο
      delay(1);//ms delay
    }
    for(int i=0;i<100;i++)  // παραγωγή ήχου συχνότητας
    {
      digitalWrite(buzzer, HIGH);  // παράγει ήχο
      digitalWrite(buzzer, LOW);  // δεν παράγει ήχο
      delay(2);//2ms delay
    }
  }
  else// εάν ο αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήμα
  {
    //digitalWrite(3, HIGH);//LED is on
    //delay(500); 
  }
}
//****************************************************************************

