/*
 Δραστηριότητα 1.45
 Έλεγχος Σερβοκινητήρων μέσω Bluetooth (1)
*/
#include <Servo.h>
Servo myservo3;
int k3 = 90;  // Αρχικοποίηση της τιμής της γωνίας σερβοκινητήρα 3

void setup() {
  Serial.begin(9600);
  myservo3.attach(9);
  myservo3.write(k3);
  delay(1000);
}

void loop() {
  if (Serial.available() > 0) {  // Λήψη σημάτων Bluetooth
    switch (Serial.read()) {

      case 'l':
        while ('l') {  // ο βραχίονας στρέφεται προς τα αριστερά
          servo3left();
          if (Serial.read() == 's') break;
        }
        break;
      case 'r':
        while ('r') {  // ο βραχίονας στρέφεται προς τα δεξιά
          servo3right();
          if (Serial.read() == 's') break;
        }
        break;
    }
  }
}

void servo3left() {
  myservo3.write(k3);  // Περιστροφή προς K3
  k3 += 1;
  delay(10);
  if (k3 > 180) k3 = 180;  // Περιστροφή έως και 180°
}

void servo3right() {
  myservo3.write(k3);  // Περιστροφή προς K3
  k3 -= 1;
  delay(10);
  if (k3 < 1) k3 = 0;  // Ελάχιστη περιστροφή 0°
}